Bug 21440 - binaries in /sbin are linked against libraries in /usr/lib and /usr/kerberos/lib
binaries in /sbin are linked against libraries in /usr/lib and /usr/kerberos/lib
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-28 13:47 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 15:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-28 13:47:05 EST
There are one or more binaries from this package in /sbin that are linked
against libraries in /usr/lib. I am aware that there is a static version of
restore, but why not just make the default version statically linked, period?

In any case, enough binaries are linked against ncurses and readline, for
example, to perhaps warrant placing those two libs in /lib. Perhaps a cut-
down version of ncurses?

Even better, use termcap, as that's on the root partition anyway, isn't it?
Comment 1 Mike A. Harris 2001-05-15 05:26:39 EDT
I don't consider this a mission critical problem myself.  Putting a cut
down version of ncurses in would just increase complexity for no real
end user gain.  I don't see any problem with the way the package is in
its current state.

Note You need to log in before you can comment on or make changes to this bug.